| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
IG.Num.Experimental.xdouble Struct Reference

Extension of type double by a struct. Provides binary operaror ^ (left operand raised to the power of right operand). More...

## Public Member Functions
| xdouble (double value)
bool | Equals (xdouble a)
| Returns true if the specified number equals the current number, and false otherwise. More...
override bool | Equals (object obj)
| Returns true if the specified object equals the current number, and false otherwise. More...
override int | GetHashCode ()
| Hath function for the xdouble type. More...

## Static Public Member Functions
static | operator double (xdouble a)
| Conversion form type xdouble to double. Defined as explicit because we don't want to modify operators for type double. More...
static implicit | operator xdouble (double a)
| Implicit conversion form type double to xdouble. More...
static implicit | operator xdouble (float a)
| Implicit conversion form type float to xdouble. More...
static implicit | operator xdouble (int a)
| Implicit conversion form type int to xdouble. More...
static xdouble | operator^ (xdouble a, xdouble b)
| First operand raised to the power of the second operand. More...
static xdouble | operator+ (xdouble a, xdouble b)
static xdouble | operator- (xdouble a, xdouble b)
static xdouble | operator* (xdouble a, xdouble b)
static xdouble | operator/ (xdouble a, xdouble b)
static xdouble | operator% (xdouble a, xdouble b)
static xdouble | operator+ (xdouble a)
static xdouble | operator- (xdouble a)
static xdouble | operator++ (xdouble a)
static xdouble | operator-- (xdouble a)
static bool | operator< (xdouble a, xdouble b)
static bool | operator<= (xdouble a, xdouble b)
static bool | operator> (xdouble a, xdouble b)
static bool | operator>= (xdouble a, xdouble b)
static bool | operator== (xdouble a, xdouble b)
static bool | operator!= (xdouble a, xdouble b)
static void | Example ()
| Writes results of some example operations where type xdouble is inbolved. More...

## Public Attributes
double | Value
| Value. More...

## Detailed Description

Extension of type double by a struct. Provides binary operaror ^ (left operand raised to the power of right operand).

## Constructor & Destructor Documentation

IG.Num.Experimental.xdouble.xdouble | ( | double | value | ) |
| inline

## Member Function Documentation

bool IG.Num.Experimental.xdouble.Equals | ( | xdouble | a | ) |
| inline

Returns true if the specified number equals the current number, and false otherwise.

Parameters

  a | Number that is compared.

Returns
  True if a equals the current number, false otherwise.

References IG.Num.Experimental.xdouble.Value.

override bool IG.Num.Experimental.xdouble.Equals | ( | object | obj | ) |
| inline

Returns true if the specified object equals the current number, and false otherwise.

Parameters

  obj | Object that is compared.

Returns
  True if obj equals the current number, false otherwise.

override int IG.Num.Experimental.xdouble.GetHashCode | ( |  | ) |
| inline

Hath function for the xdouble type.

Returns

static IG.Num.Experimental.xdouble.operator double | ( | xdouble | a | ) |
| inline explicit static

Conversion form type xdouble to double. Defined as explicit because we don't want to modify operators for type double.

References IG.Num.Experimental.xdouble.Value.

static implicit IG.Num.Experimental.xdouble.operator xdouble | ( | double | a | ) |
| inline static

Implicit conversion form type double to xdouble.

static implicit IG.Num.Experimental.xdouble.operator xdouble | ( | float | a | ) |
| inline static

Implicit conversion form type float to xdouble.

static implicit IG.Num.Experimental.xdouble.operator xdouble | ( | int | a | ) |
| inline static

Implicit conversion form type int to xdouble.

static xdouble IG.Num.Experimental.xdouble.operator^ | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

First operand raised to the power of the second operand.

Parameters

  a | First operand.
  b | Second operand - power.

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.xdouble.operator+ | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.xdouble.operator- | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.xdouble.operator* | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.xdouble.operator/ | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.xdouble.operator% | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.xdouble.operator+ | ( | xdouble | a | ) |
| inline static

static xdouble IG.Num.Experimental.xdouble.operator- | ( | xdouble | a | ) |
| inline static

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.xdouble.operator++ | ( | xdouble | a | ) |
| inline static

References IG.Num.Experimental.xdouble.Value.

static xdouble IG.Num.Experimental.xdouble.operator-- | ( | xdouble | a | ) |
| inline static

References IG.Num.Experimental.xdouble.Value.

static bool IG.Num.Experimental.xdouble.operator< | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static bool IG.Num.Experimental.xdouble.operator<= | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static bool IG.Num.Experimental.xdouble.operator> | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static bool IG.Num.Experimental.xdouble.operator>= | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static bool IG.Num.Experimental.xdouble.operator== | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static bool IG.Num.Experimental.xdouble.operator!= | ( | xdouble | a,
|  | xdouble | b
| ) |  |
| inline static

References IG.Num.Experimental.xdouble.Value.

static void IG.Num.Experimental.xdouble.Example | ( |  | ) |
| inline static

Writes results of some example operations where type xdouble is inbolved.

## Member Data Documentation

double IG.Num.Experimental.xdouble.Value

Value.

Referenced by IG.Num.Experimental.MX.Abs(), IG.Num.Experimental.MX.abs(), IG.Num.Experimental.MX.Acos(), IG.Num.Experimental.MX.acos(), IG.Num.Experimental.MX.arccos(), IG.Num.Experimental.MX.arcsin(), IG.Num.Experimental.MX.arctan(), IG.Num.Experimental.MX.arctan2(), IG.Num.Experimental.MX.arctg(), IG.Num.Experimental.MX.arctg2(), IG.Num.Experimental.MX.Asin(), IG.Num.Experimental.MX.asin(), IG.Num.Experimental.MX.Atan(), IG.Num.Experimental.MX.atan(), IG.Num.Experimental.MX.Atan2(), IG.Num.Experimental.MX.atan2(), IG.Num.Experimental.MX.ceil(), IG.Num.Experimental.MX.Ceiling(), IG.Num.Experimental.MX.ceiling(), IG.Num.Experimental.MX.ch(), IG.Num.Experimental.MX.Cos(), IG.Num.Experimental.MX.cos(), IG.Num.Experimental.MX.Cosh(), IG.Num.Experimental.MX.cosh(), IG.Num.Experimental.MX.Cube(), IG.Num.Experimental.MX.cube(), IG.Num.Experimental.xdouble.Equals(), IG.Num.Experimental.MX.Exp(), IG.Num.Experimental.MX.exp(), IG.Num.Experimental.MX.Floor(), IG.Num.Experimental.MX.floor(), IG.Num.Experimental.MX.lg(), IG.Num.Experimental.MX.ln(), IG.Num.Experimental.MX.Log(), IG.Num.Experimental.MX.log(), IG.Num.Experimental.MX.Log10(), IG.Num.Experimental.MX.log10(), IG.Num.Experimental.MX.Log2(), IG.Num.Experimental.MX.log2(), IG.Num.Experimental.MX.Max(), IG.Num.Experimental.MX.max(), IG.Num.Experimental.MX.Min(), IG.Num.Experimental.MX.min(), IG.Num.Experimental.xdouble.operator double(), IG.Num.Experimental.xdouble.operator!=(), IG.Num.Experimental.xdouble.operator%(), IG.Num.Experimental.xdouble.operator*(), IG.Num.Experimental.xdouble.operator+(), IG.Num.Experimental.xdouble.operator++(), IG.Num.Experimental.xdouble.operator-(), IG.Num.Experimental.xdouble.operator--(), IG.Num.Experimental.xdouble.operator/(), IG.Num.Experimental.xdouble.operator<(), IG.Num.Experimental.xdouble.operator<=(), IG.Num.Experimental.xdouble.operator==(), IG.Num.Experimental.xdouble.operator>(), IG.Num.Experimental.xdouble.operator>=(), IG.Num.Experimental.xdouble.operator^(), IG.Num.Experimental.MX.Pow(), IG.Num.Experimental.MX.pow(), IG.Num.Experimental.MX.sgn(), IG.Num.Experimental.MX.sh(), IG.Num.Experimental.MX.Sign(), IG.Num.Experimental.MX.sign(), IG.Num.Experimental.MX.Sin(), IG.Num.Experimental.MX.sin(), IG.Num.Experimental.MX.Sinh(), IG.Num.Experimental.MX.sinh(), IG.Num.Experimental.MX.Sqr(), IG.Num.Experimental.MX.sqr(), IG.Num.Experimental.MX.Sqrt(), IG.Num.Experimental.MX.sqrt(), IG.Num.Experimental.MX.Tan(), IG.Num.Experimental.MX.tan(), IG.Num.Experimental.MX.Tanh(), IG.Num.Experimental.MX.tanh(), IG.Num.Experimental.MX.tg(), IG.Num.Experimental.MX.th(), IG.Num.Experimental.MX.trunc(), IG.Num.Experimental.MX.Truncate(), and IG.Num.Experimental.MX.truncate().

The documentation for this struct was generated from the following file:

- igbase/utilities/UtilMath.cs